.divider {
    display: flex;
}

.divider:before,
.divider:after {
    content: "";
    flex: 1;
}

.line {
    align-items: center;
    margin: 1em -1em;
}

.line:before,
.line:after {
    height: 1px;
    margin: 0 1em;
}

.one-line:before,
.one-line:after {
    background: black;
}

.razor:before,
.razor:after {
    box-shadow: 0 0.5px 0 black;
}

.double-razor:before,
.double-razor:after {
    height: 3px;
    box-shadow: 0 -0.5px 0 black, 0 0.5px 0 black;
    border-width: 0;
}

.glow:before,
.glow:after {
    height: 6px;
    -webkit-filter: blur(5px);
    border-radius: 5px;
}

.glow:before {
    background: linear-gradient(to right, blue, hotpink);
}

.glow:after {
    background: linear-gradient(to left, blue, hotpink);
}

.gradient {
    align-items: stretch;
    margin: 1em 0;
    height: 2em;
    line-height: 2em;
    color: white;
    background: black;
}

.gradient:before {
    background: linear-gradient(to right, white, black);
}

.gradient:after {
    background: linear-gradient(to left, white, black);
}

.donotcross {
    overflow: hidden;
    align-items: center;
    background: #ffd500;
    color: black;
    height: 2em;
    line-height: 2em;
}

.donotcross:before,
.donotcross:after {
    background: white;
    padding: 50px 0;
    height: 0;
    transform: rotate(45deg);
}


/* hover-underline */

.hover-underline {
    font-size: 1rem;
    color: #ffffff;
    position: relative;
    display: inline-block;
}

.data-mart {
    /* padding: 1rem;
    position: relative;
    background: linear-gradient(to right, red, purple);
    padding: 3px; */
}

.data-mart-sub {
    /* background: #222;
    color: white;
    padding: 2rem; */
}

.hover-underline::after,
.hover-underline::before {
    /* content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background: linear-gradient(to right, #8762FF, #00ffff);
    bottom: -5px;
    left: 0;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.4s ease-out; */
    transition: 0.3s;
    box-shadow: 0 4px 20px 0 rgba(42, 102, 53, 0.877);
    transition: 0.3s;
}

.hover-underline::before {
    top: -5px;
    transform-origin: left;
}

.hover-underline:hover::after,
.hover-underline:hover::before {
    transform: scaleX(1);
}